function init(hero) {
    hero.setName("Wonder Woman");
    hero.setVersion("item.superhero_armor.version.dceu");
    hero.setTier(8);

    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("Skirt");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("jmctheroes:bracelets_of_submission", "jmctheroes:lasso_of_truth", "jmctheroes:demigoddess_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 10.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

    hero.addKeyBind("SHIELD", "Toggle Bracelets", 1);
    hero.addKeyBind("BLADE", "Toggle Lasso", 2);
    hero.addKeyBind("SPELL_MENU", "key.spellMenu", 3);

    hero.setHasProperty(hasProperty);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:spellcasting":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "SPELL_MENU":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}
